# coding=utf-8
r"""
This code was generated by
\ / _    _  _|   _  _
 | (_)\/(_)(_|\/| |(/_  v1.0.0
      /       /
"""

from tests import IntegrationTestCase
from tests.holodeck import Request
from twilio.base.exceptions import TwilioException
from twilio.http.response import Response


class VerificationAttemptsSummaryTestCase(IntegrationTestCase):

    def test_fetch_request(self):
        self.holodeck.mock(Response(500, ''))

        with self.assertRaises(TwilioException):
            self.client.verify.v2.verification_attempts_summary().fetch()

        self.holodeck.assert_has_request(Request(
            'get',
            'https://verify.twilio.com/v2/Attempts/Summary',
        ))

    def test_get_attempts_summary_response(self):
        self.holodeck.mock(Response(
            200,
            '''
            {
                "total_attempts": 11,
                "total_converted": 9,
                "total_unconverted": 2,
                "conversion_rate_percentage": "81.818181818",
                "url": "https://verify.twilio.com/v2/Attempts/Summary"
            }
            '''
        ))

        actual = self.client.verify.v2.verification_attempts_summary().fetch()

        self.assertIsNotNone(actual)
